Manova Developers

List conversations

GET
/conversations

Your conversations, pinned first, then newest first. Pass nextCursor back as cursor for the next page.

Authorization

token
headerAuthorizationBearer <manova_...>

An API token from the panel's «دسترسی API» page: manova_ and 64 hex characters, valid for 90 days.

Query Parameters

projectId?string

Only this project's conversations; none for those outside any project.

Lengthlength <= 40
limit?integer

1 to 40.

Default40
cursor?string

The nextCursor of the previous page.

Response Body

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
curl -X GET 'https://manova.ir/api/v1/external/conversations'
Example Response
{  "items": [    {      "id": "string",      "title": "string",      "createdAt": "string",      "updatedAt": "string",      "lastMessagePreview": "string",      "projectId": "string",      "agentId": "string",      "isPinned": true,      "createdByUserId": 0    }  ],  "nextCursor": "string"}